=== debian/changelog ===
ros-dashing-nav2-navfn-planner (0.2.6-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Wed, 16 Oct 2019 17:51:28 -0000
